Bug 113699 - UI: "Registered databases" window is hard to reach when doing mail merge
Summary: UI: "Registered databases" window is hard to reach when doing mail merge
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2017-11-07 16:01 UTC by Gabor Kelemen
Modified: 2019-08-05 14:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-11-07 16:01:42 UTC
When using the Mail Merge Wizard in the Select Address List window (3rd step of the wizard) it is easy to register a new data source.

However it is a bit more difficult to remove a formerly used and no longer required data source. In this window one might realize that she apparently has such data sources, and wants to remove them. Options to do this:

- Either go to Tools - Options - LibreOffice Base - Databases
- Or open View - Data Sources, right click on the database name in the explorer view and select Registered databases

It would be a lot more convenient if there would be a button in the Select Address List Window to show the Registered databases window, or on the Mail Merge toolbar, for example - but I'm unsure where would this fit best. 

Any UX advice on this?

Implementing this would be probably easy as there is the .uno:DSBAdministrate command to show this window.
Comment 1 Heiko Tietze 2017-11-10 15:54:17 UTC
(In reply to Gabor Kelemen from comment #0)
> Implementing this would be probably easy as there is the
> .uno:DSBAdministrate command to show this window.

When you open another modal dialog over the first this ends up in a mess. What's really needed is a simple "Delete" button.
Comment 2 Heiko Tietze 2019-07-24 06:54:45 UTC
See also my comments at bug 126431 (button wall) and bug 126433 (confirmation). Both topics are on the agenda for the design meeting and maybe I'm wrong with the 'confirmation interrupts the workflow' argument since removing entries is not expected to be frequently done.
Comment 3 Gabor Kelemen 2019-07-24 07:11:41 UTC
(In reply to Heiko Tietze from comment #2)
> See also my comments at bug 126431 (button wall) and bug 126433
> (confirmation). Both topics are on the agenda for the design meeting and
> maybe I'm wrong with the 'confirmation interrupts the workflow' argument
> since removing entries is not expected to be frequently done.

I stole the confirmation idea (and code) from the Options - LO Base - Databases tab. 
Sure the connection can be recreated to files, but here it is also possible to create a local address list with the Create button, which would be more work intensive to recreate.
Comment 4 Commit Notification 2019-08-05 08:39:57 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/007fd868e398f51363a24aa24c244cb8096e0579%5E%21

tdf#113699 Add Remove button to Select Address List dialog of MM Wizard

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.